Draft Rectangle/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "==Description== Cet outil trace un {{KEY|16px|text-top=Rectangle|link=Draft_Rectangle/fr Rectangle}} par la sélection de...")
(Created page with "480px")
Line 5: Line 5:
Cet outil trace un {{KEY|[[Image:Draft_Rectangle.png|16px|text-top=Rectangle|link=Draft_Rectangle/fr]] [[Draft Rectangle/fr|Rectangle]]}} par la sélection de deux points opposés. La ligne nouvellement créée adopte le [[Draft_Linestyle/fr|style de ligne]] [[File:Draft Style 01.png|150px]] actif.
Cet outil trace un {{KEY|[[Image:Draft_Rectangle.png|16px|text-top=Rectangle|link=Draft_Rectangle/fr]] [[Draft Rectangle/fr|Rectangle]]}} par la sélection de deux points opposés. La ligne nouvellement créée adopte le [[Draft_Linestyle/fr|style de ligne]] [[File:Draft Style 01.png|150px]] actif.


[[Image:Draft_Rectangle_example.jpg|400px]]
[[Image:Draft_Rectangle_example.jpg|480px]]


==How to use==
==How to use==

Revision as of 20:37, 11 January 2014

Rectangle

Emplacement du menu
Draft → Rectangle
Ateliers
Planche à dessin
Raccourci par défaut
R E
Introduit dans la version
-
Voir aussi
Cube

Description

Cet outil trace un text-top=Rectangle Rectangle par la sélection de deux points opposés. La ligne nouvellement créée adopte le style de ligne actif.

How to use

  1. Press the Draft Rectangle button, or press R then E keys
  2. Click a first corner point on the 3D view, or type a coordinate
  3. Click another opposite point on the 3D view, or type a coordinate. The rectangle will also be a face, even if it appears as wireframe.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rectangle tool will restart after you finish or close it, allowing you to draw another one without pressing the Rectangle button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press I or the Filled button to have the rectangle to appear as a face after it has been closed. This simply sets the View->Property of the Rectangle to "Flat lines" or "Wireframe", so it can easily be changed later.
  • Press ESC or the Cancel button to abort the current Line command.

Properties

  • DonnéesLength: Specifies the length of the rectangle
  • DonnéesWidth: Specifies the width of the rectangle
  • DonnéesFillet Radius: Specifies a curvature radius to give to the corners of the rectangle
  • VueTexture Image: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.

Scripting

The Rectangle tool can by used in macros and from the python console by using the following function:

 '''makeRectangle (length, width, [placement], [facemode])'''
  • Creates a Rectangle object with length in X direction and height in Y direction.
  • If a placement is given, it is used.
  • If facemode is False, the rectangle is shown as a wireframe, otherwise as a face.
  • The current Draft linewidth and color will be used.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 Draft.makeRectangle(10,4)